Skip to content

Enable / Disable forwards from a phone

Enable / Disable forwards via a phone or button on a phone linked to the user

API Key: SipDevice Auth Username in Query

Authenticate using a the credentials of a sip device

Parameter name
username
Located in
query
API Key: SipDevice Auth Password in Query

Authenticate using a the credentials of a sip device

Parameter name
password
Located in
query
action query · string *
Set the status of the forwards
enum: on off
event query · string *
For what event we want to check
enum: always no_answer busy
target query · string *
Forward Target
mac query · string *
MAC of the phone to deploy
user_id query · string *
Id of the user
activeUser query · string *
Username of the line to activate or deactivate
User-Agent header · string
User-Agent used to determine the vendor and the model of the phone
example: Yealink SIP-T53 XX.XX.YY.ZZ AA:BB:CC:DD:EE:FF

Responses

Phone reply
Response schema
No response body.
Response schema
No response body.
get https://{username}.voxbi.cloud/api/{version}/phone/forwards
Base URL https://{username}.voxbi.cloud/api/{version}
Request sample
curl -X GET 'https://{username}.voxbi.cloud/api/{version}/phone/forwards' \
  -H 'Authorization: Bearer YOUR_TOKEN'
const response = await fetch('https://{username}.voxbi.cloud/api/{version}/phone/forwards', {
  method: 'GET',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': `Bearer ${YOUR_TOKEN}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://{username}.voxbi.cloud/api/{version}/phone/forwards',
    headers={'Authorization': f'Bearer {YOUR_TOKEN}'}
)
response.raise_for_status()
data = response.json()
print(data)
<?php
$context = stream_context_create([
    'http' => [
        'method'  => 'GET',
        'header'  => "Content-Type: application/json\r\nAuthorization: Bearer YOUR_TOKEN",
    ],
]);

$response = file_get_contents('https://{username}.voxbi.cloud/api/{version}/phone/forwards', false, $context);
$data = json_decode($response, true);
print_r($data);
No example for this status.
No example for this status.